Skip to content
Guides
CatalogNotifications
notification:read

Get template by ID

GET/v1/notifications/templates/{templateId}

Get template by ID. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

templateId*string

Identifier of the template.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/notifications/templates/7204558912004325301" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "tenantId": "7204558912004325301",  "key": "example",  "group": "example",  "name": "Example resource",  "notification": "email",  "version": 1,  "bodyTpl": "example",  "status": "draft"}